FramedSnappyDialect
Date: 2017-02-08

org.apache.commons.compress.compressors.snappy

## Enum FramedSnappyDialect

- java.lang.Object
- - java.lang.Enum<FramedSnappyDialect>
  - - org.apache.commons.compress.compressors.snappy.FramedSnappyDialect

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FramedSnappyDialect>

      public enum FramedSnappyDialect
      extends java.lang.Enum<FramedSnappyDialect>

  Dialects of the framing format that `FramedSnappyCompressorInputStream` can deal with.
  Since:
    1.12

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IWORK_ARCHIVE` The format used by Apple's iWork Archives (.iwa files).
    `STANDARD` The standard as defined by the Snappy framing format description

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FramedSnappyDialect` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FramedSnappyDialect[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDARD

          public static final FramedSnappyDialect STANDARD

      The standard as defined by the Snappy framing format description

    - #### IWORK_ARCHIVE

          public static final FramedSnappyDialect IWORK_ARCHIVE

      The format used by Apple's iWork Archives (.iwa files).

  - ### Method Detail

    - #### values

          public static FramedSnappyDialect[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FramedSnappyDialect c : FramedSnappyDialect.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FramedSnappyDialect valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null